DELETE
/users/{userId}Delete a user from Grist
This action also deletes the user's personal organisation and all the workspaces and documents it contains. Currently, only the users themselves are allowed to delete their own accounts.
⚠️ This action cannot be undone, please be cautious when using this endpoint ⚠️
userIdintegerrequired
A user id
namestringrequired
The user's name to delete (for confirmation, to avoid deleting the wrong account).
200The account has been deleted successfully
400The passed user name does not match the one retrieved from the database given the passed user id
403The caller is not allowed to delete this account
404The user is not found
Error handling
A 400 is returned: The passed user name does not match the one retrieved from the database given the passed user id. A 403 is returned: The caller is not allowed to delete this account. A 404 is returned: The user is not found.
